Classes | Namespaces
FormFile.h File Reference

Class representing a file submitted via an HTML form. More...

`#include <iostream>`
`#include <string>`
`#include "CgiDefs.h"`

Go to the source code of this file.

## Classes
class | cgicc::FormFile
| Class representing a file submitted via an HTML form. More...

## Namespaces
namespace | cgicc
| The namespace containing the cgicc library.

## Detailed Description

Class representing a file submitted via an HTML form.

FormFile is an immutable class reprenting a file uploaded via the HTTP file upload mechanism. If you are going to use file upload in your CGI application, remember to set the ENCTYPE of the form to `multipart/form-data`.

Definition in file FormFile.h.